import { Observable } from 'rxjs';
import { TestMessage } from '../message/TestMessage';
declare const VirtualTimeScheduler: typeof import("rxjs").VirtualTimeScheduler;
/**
 * @internal
 */
declare class TestScheduler extends VirtualTimeScheduler {
    private readonly autoFlush;
    private readonly frameTimeFactor;
    private readonly coldObservables;
    private readonly hotObservables;
    private flushed;
    private flushing;
    private readonly _maxFrame;
    constructor(autoFlush: boolean, frameTimeFactor: number, maxFrameValue: number);
    get maxFrame(): number;
    flush(): void;
    getMessages<T = string>(observable: Observable<T>, unsubscriptionMarbles?: string | null): TestMessage<T | TestMessage<T>[]>[];
    createColdObservable<T = string>(marble: string, value?: {
        [key: string]: T;
    } | null, error?: any): import('rxjs/dist/types/internal/testing/ColdObservable').ColdObservable<T>;
    createColdObservable<T = string>(message: Array<TestMessage<T>>): import('rxjs/dist/types/internal/testing/ColdObservable').ColdObservable<T>;
    createHotObservable<T = string>(marble: string, value?: {
        [key: string]: T;
    } | null, error?: any): import('rxjs/dist/types/internal/testing/HotObservable').HotObservable<T>;
    createHotObservable<T = string>(message: Array<TestMessage<T>>): import('rxjs/dist/types/internal/testing/HotObservable').HotObservable<T>;
    advanceTo(toFrame: number): void;
    private materializeInnerObservable;
    private peek;
    private flushUntil;
}
export { TestScheduler, VirtualTimeScheduler };
//# sourceMappingURL=TestScheduler.d.ts.map